package routers

import (
	"ColdVerify_server/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	// 模版路由
	beego.Router("/Template/List_", &controllers.TemplateController{}, "*:List_") // 获取未读消息
	beego.Router("/Template/List", &controllers.TemplateController{}, "*:List")   // 模版列表
	beego.Router("/Template/Get", &controllers.TemplateController{}, "*:Get")     // 获取模版
	beego.Router("/Template/Add", &controllers.TemplateController{}, "*:Add")     // 添加模版
	beego.Router("/Template/Up", &controllers.TemplateController{}, "*:Up")       // 编辑模版
	beego.Router("/Template/Del", &controllers.TemplateController{}, "*:Del")     // 删除模版

	beego.Router("/VerifyTemplate/Class_List", &controllers.VerifyTemplateController{}, "*:Class_List") // 分类列表
	beego.Router("/VerifyTemplate/Class_Add", &controllers.VerifyTemplateController{}, "*:Class_Add")   // 分类添加
	beego.Router("/VerifyTemplate/Class_Up", &controllers.VerifyTemplateController{}, "*:Class_Up")     // 分类修改
	beego.Router("/VerifyTemplate/Class_Del", &controllers.VerifyTemplateController{}, "*:Class_Del")   // 分类删除
	beego.Router("/VerifyTemplate/Class_Copy", &controllers.VerifyTemplateController{}, "*:Class_Copy") // 复制信息采集分类

	beego.Router("/VerifyTemplate/List", &controllers.VerifyTemplateController{}, "*:List") // 模版列表
	beego.Router("/VerifyTemplate/Add", &controllers.VerifyTemplateController{}, "*:Add")   // 模版添加
	beego.Router("/VerifyTemplate/Up", &controllers.VerifyTemplateController{}, "*:Up")     // 模版编辑
	beego.Router("/VerifyTemplate/Del", &controllers.VerifyTemplateController{}, "*:Del")   // 模版修改
	beego.Router("/VerifyTemplate/Get", &controllers.VerifyTemplateController{}, "*:Get")   // 模版修改
	beego.Router("/VerifyTemplate/Copy", &controllers.VerifyTemplateController{}, "*:Copy") // 模版复制

	beego.Router("/VerifyTemplate/Map_List", &controllers.VerifyTemplateController{}, "*:Map_List") // 标签列表
	beego.Router("/VerifyTemplate/Map_Add", &controllers.VerifyTemplateController{}, "*:Map_Add")   // 标签添加
	beego.Router("/VerifyTemplate/Map_Up", &controllers.VerifyTemplateController{}, "*:Map_Up")     // 标签修改
	beego.Router("/VerifyTemplate/Map_Del", &controllers.VerifyTemplateController{}, "*:Map_Del")   // 标签删除

	beego.Router("/VerifyTemplateMapData/List", &controllers.VerifyTemplateController{}, "*:Map_Data_List")                           // 标签数据列表
	beego.Router("/VerifyTemplateMapData/Pu", &controllers.VerifyTemplateController{}, "*:Map_Data_Pu")                               // 添加标签数据
	beego.Router("/VerifyTemplateMapData/Copy", &controllers.VerifyTemplateController{}, "*:Map_Data_Copy")                           // 复制标签数据
	beego.Router("/VerifyTemplateMapData/Clear_Value", &controllers.VerifyTemplateController{}, "*:Map_Data_Clear_Value")             // 复制标签数据
	beego.Router("/VerifyTemplateMapData/History_List", &controllers.VerifyTemplateController{}, "*:Map_Data_History_List")           // 历史提交列表
	beego.Router("/VerifyTemplateMapData/History_Data_List", &controllers.VerifyTemplateController{}, "*:Map_Data_History_Data_List") // 历史提交列表
	beego.Router("/VerifyTemplateMapData/History_Recover", &controllers.VerifyTemplateController{}, "*:Map_Data_History_Recover")     // 历史提交列表
}
